CREATE TABLE `test` (
  `id` bigint(20) NOT NULL,
  `test_value` int(11) NOT NULL,
  `local_date` date DEFAULT NULL,
  `starting_time` time DEFAULT NULL,
  `ending_time` time DEFAULT NULL,
  `starting_date_time` datetime(6) DEFAULT NULL,
  `ending_date_time` datetime(6) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci

CREATE TABLE `tasks` (
  `taskid` bigint(20) NOT NULL AUTO_INCREMENT,
  `deadline` date DEFAULT NULL,
  `eta` int(11) NOT NULL,
  `start_date` date DEFAULT NULL,
  `task_name` varchar(255) DEFAULT NULL,
  `work_time` int(11) NOT NULL,
  `parent` bigint(20) DEFAULT NULL,
  `taskgroup_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`taskid`),
  KEY `FKamiednrmm0puy94sf1o3q84bp` (`parent`),
  KEY `FKk2et8snwh68sf7p6n6ltmk638` (`taskgroup_id`),
  CONSTRAINT `FKamiednrmm0puy94sf1o3q84bp` FOREIGN KEY (`parent`) REFERENCES `tasks` (`taskid`),
  CONSTRAINT `FKk2et8snwh68sf7p6n6ltmk638` FOREIGN KEY (`taskgroup_id`) REFERENCES `taskgroups` (`taskgroupid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci

