from enum import Enum

from sqlparse.SQLColumn import SQLColumn


class ValueType(Enum):
    INT = 0,
    STRING = 1


class ColumnValue:
    def __init__(self, value, value_type: ValueType, sql_column: SQLColumn):
        self.value = value
        self.valueType = value_type
        self.sqlColumn = sql_column