from enum import Enum


class SQLColumnType(Enum):
    BIGINT = 'bigint(20)'
    INT = 'int(11)'
    VARCHAR = 'varchar(255)'
    DATE = 'date'
    TIME = 'time'
    DATETIME = 'datetime'

class SQLColumn:

    def __init__(self, column_name: str, column_type: SQLColumnType, nullable: bool):
        self.columnName = column_name
        self.columnType = column_type
        self.nullable = nullable

