from typing import List

from sqlparse.SQLColumn import SQLColumn


class SQLTable:
    def __init__(self, table_name, columns: List[SQLColumn], primary_key: str, foreign_keys: List[str]):
        self.table_name = table_name
        self.columns = columns
        self.primary_key = primary_key
        self.foreign_keys = foreign_keys

